﻿using System;
using ServiceStack.ServiceInterface;

namespace WebFormsAndServiceStack.App_Start
{
	public class HelloRequest
	{
		public string Name { get; set; }
	}

	public class HelloResponse
	{
		public string Result { get; set; }
	}

	[Authenticate]
	public class BigNameService : SessionStateService
	{
		public object Get(HelloRequest request)
		{
			if (String.IsNullOrEmpty(request.Name))
				request.Name = "stranger";

			return new HelloResponse { Result = "Hello, " + request.Name.ToUpper() };
		}
	}
}