﻿using System.Web;
using System.Web.SessionState;

namespace WebFormsAndServiceStack.App_Start
{
	public class SessionStateHandlerWrapper : IHttpHandler, IRequiresSessionState
	{
		private readonly IHttpHandler handler;

		public SessionStateHandlerWrapper(IHttpHandler handler)
		{
			this.handler = handler;
		}

		public void ProcessRequest(HttpContext context)
		{
			handler.ProcessRequest(context);
		}

		public bool IsReusable
		{
			get { return handler.IsReusable; }
		}
	}
}